These changes are necessary to allow configure to find a static libpwdb,
and to propagate LDFLAGS down to pam_pwdb's Makefile so that LDFLAGS which
point to the static library will be useful.

--- Linux-PAM-0.75/modules/pam_pwdb/Makefile	Sun Nov 19 18:54:04 2000
+++ Linux-PAM-0.75/modules/pam_pwdb/Makefile	Thu Feb  7 17:09:01 2002
@@ -18,6 +18,10 @@
   EXTRALS += -lcrypt
 endif
 
+ifeq ($(HAVE_LIBNSL),yes)
+  EXTRALS += -lnsl
+endif
+
 TITLE=pam_pwdb
 CHKPWD=pwdb_chkpwd
 
@@ -53,7 +57,7 @@
 
 $(CHKPWD): pwdb_chkpwd.o md5_good.o md5_broken.o \
            md5_crypt_good.o md5_crypt_broken.o
-	$(CC) -o $(CHKPWD) $^ -lpwdb
+	$(CC) -o $(CHKPWD) $^ $(LDFLAGS) $(EXTRALS)
 
 pwdb_chkpwd.o: pwdb_chkpwd.c pam_unix_md.-c bigcrypt.-c
 
@@ -90,7 +94,7 @@
 $(LIBOBJD): $(LIBSRC)
 
 $(LIBSHARED):	$(LIBOBJD)
-	$(LD_D) -o $@ $(LIBOBJD) $(PLUS) $(EXTRALS)
+	$(LD_D) -o $@ $(LIBOBJD) $(PLUS) $(LDFLAGS) $(EXTRALS)
 endif
 
 #ifdef STATIC
--- Linux-PAM-0.75/Make.Rules.in	Thu Feb  7 17:09:01 2002
+++ Linux-PAM-0.75/Make.Rules.in	Thu Feb  7 17:14:13 2002
@@ -33,7 +33,7 @@
 # they generate.
 
 HEADER_DIRS=-I./include -I$(absolute_srcdir)/libpam/include \
-	-I$(absolute_srcdir) -I$(absolute_srcdir)/libpamc/include
+	-I$(absolute_srcdir) -I$(absolute_srcdir)/libpamc/include @CPPFLAGS@
 WARNINGS=@WARNINGS@
 OS_CFLAGS=@OS_CFLAGS@
 PIC=@PIC@
@@ -84,6 +84,7 @@
 OS=@OS@
 CC=@CC@
 CFLAGS=@CFLAGS@ $(WARNINGS) -D$(OS) $(OS_CFLAGS) $(HEADER_DIRS) @CONF_CFLAGS@
+LDFLAGS=@LDFLAGS@
 LD=@LD@
 LD_D=@LD_D@
 LD_L=@LD_L@
--- Linux-PAM-0.75/configure.in	Thu Feb  7 17:09:01 2002
+++ Linux-PAM-0.75/configure.in	Thu Feb  7 17:09:01 2002
@@ -193,8 +193,14 @@
 AC_CHECK_LIB(nsl, yp_maplist, HAVE_LIBNSL=yes ; AC_DEFINE(HAVE_LIBNSL),
 	HAVE_LIBNSL=no)
 AC_SUBST(HAVE_LIBNSL)
+if test "$HAVE_LIBNSL" = yes ; then
+	pwdb_aux_libs=-lnsl
+else
+	pwdb_aux_libs=
+fi
 AC_CHECK_LIB(pwdb, pwdb_db_name, HAVE_LIBPWDB=yes ; AC_DEFINE(HAVE_LIBPWDB),
-	HAVE_LIBPWDB=no)
+	HAVE_LIBPWDB=no,$pwdb_aux_libs)
+pwdb_aux_libs=
 AC_SUBST(HAVE_LIBPWDB)
 
 dnl Checks for header files.
--- Linux-PAM-0.75/modules/pam_radius/Makefile	Thu Mar  7 19:02:58 2002
+++ Linux-PAM-0.75/modules/pam_radius/Makefile	Thu Mar  7 19:03:09 2002
@@ -62,7 +62,7 @@
 $(LIBOBJD): $(LIBSRC)
 
 $(LIBSHARED):	$(LIBOBJD)
-	$(LD_D) -o $@ $(LIBOBJD) -lpwdb
+	$(LD_D) -o $@ $(LIBOBJD) $(LDFLAGS) -lpwdb
 endif
 
 #ifdef STATIC
